#
# spec file for package perl-Dist-Zilla-Plugin-MatchManifest
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dist-Zilla-Plugin-MatchManifest
Version:        6.000
Release:        1.1
%define cpan_name Dist-Zilla-Plugin-MatchManifest
Summary:        Ensure that MANIFEST is correct
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dist-Zilla-Plugin-MatchManifest/
Source0:        https://cpan.metacpan.org/authors/id/C/CJ/CJM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Dist::Zilla) >= 6
BuildRequires:  perl(Dist::Zilla::Role::InstallTool)
BuildRequires:  perl(Moose) >= 0.65
BuildRequires:  perl(Moose::Autobox) >= 0.09
BuildRequires:  perl(Test::DZil)
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(autodie)
Requires:       perl(Dist::Zilla) >= 6
Requires:       perl(Dist::Zilla::Role::InstallTool)
Requires:       perl(Moose) >= 0.65
Requires:       perl(Moose::Autobox) >= 0.09
Requires:       perl(Text::Diff)
Requires:       perl(autodie)
%{perl_requires}

%description
If included, this plugin will ensure that the distribution contains a
_MANIFEST_ file and that its contents match the files collected by
Dist::Zilla. If not, it will display the differences and offer to update
the _MANIFEST_.

As I see it, there are 2 problems that a MANIFEST can protect against:

* 1.

A file I don't want to distribute winds up in the tarball

* 2.

A file I did want to distribute gets left out of the tarball

Dist::Zilla protects against the second problem by using GatherDir plugins
that aren't restricted by a MANIFEST file. But the standard Manifest plugin
offers no protection against the first problem.

By keeping your MANIFEST under source control and using this plugin to make
sure it's kept up to date, you can protect yourself against both problems.

MatchManifest must come after your MakeMaker or ModuleBuild plugin, so that
it can see any _Makefile.PL_ or _Build.PL_ generated.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Wed Feb  7 2018 coolo@suse.com
- updated to 6.000
  see /usr/share/doc/packages/perl-Dist-Zilla-Plugin-MatchManifest/Changes
  6.000  2017-12-17
  - Update to use Path::Tiny interface (requires Dist::Zilla 6)
* Mon Apr 13 2015 coolo@suse.com
- updated to 4.02
  see /usr/share/doc/packages/perl-Dist-Zilla-Plugin-MatchManifest/Changes
* Fri Jan 21 2011 coolo@novell.com
- initial package 4.00
  * created by cpanspec 1.78.03
